
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WordPress 不同页面对应不同模板解决方法 / iVAN</title>

    <meta name="description" content="WordPress 不同页面对应不同模板解决方法 先来看看不同的页面模板如何制作 我们在制作 WordPress 主题时,很多页面写专门的页面模板,如 tpl-contact.php 专门给页面 contact 使用. 举个例子:还是刚才说的 tpl-contact.php,刚好使用 tpl-contact.php 作为模板的页面的 footer 部分有个电话号码,而默认的 page.php 和其他页面模板又不需要,虽然可以给 tpl-contact.php 复制一个 footer.php 改名为其他名(如 footer-contact.php">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WordPress 不同页面对应不同模板解决方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>先来看看不同的页面模板如何制作</strong></p>
<p>我们在制作 WordPress 主题时，很多页面写专门的页面模板，如 tpl-contact.php 专门给页面 contact 使用。</p>
<p>举个例子：还是刚才说的 tpl-contact.php，刚好使用 tpl-contact.php 作为模板的页面的 footer 部分有个电话号码，而默认的 page.php 和其他页面模板又不需要，虽然可以给 tpl-contact.php 复制一个 footer.php 改名为其他名（如 footer-contact.php）给 tpl-contact.php 专用（用 get_footer('contact') 调用)，但这样好像有点小题大做了。</p>
<p>我以前不知道 WordPress 本身提供了一个函数来判断的，我用了比较麻烦的判断方法，在 footer.php 加了这样的判断来实现，经过比较“坎坷”……</p>
<p>从前有座山，山里有个庙，我用了『 get_page_template() 』函数：</p>
<p>if (is_page()){<br />    $page_tpl_name = get_page_template(); //获取模板文件全路径<br />    $page_tpl_name = split('/tpl-', $page_tpl_name); //分割，??br/&gt;    if ($page_tpl_name[1] == 'contact.php') {<br />        /* 显示电话号码 */<br />    }<br />}</p>
<p>自从庙里有个老和尚和小和尚后，我用了『 get_post_custom_values() 』来实现</p>
<p>if (is_page()){<br />    $page_tpl = get_post_custom_values('_wp_page_template'); //获取字段 _wp_page_template 的数组值<br />    if ( $page_tpl[0] == 'tpl-contact.php' ) { //判断第一个数组值（模板文件名）是否是 tpl-contact.php<br />        /* 显示电话号码 */<br />    }<br />}</p>
<p>当老和尚开始向小和尚讲故事的时候，我才知道 WordPress 本来就有个『 is_page_template() 』函数用来判断模板文件是否使用时，我立即打住老和尚讲无限循环的故事！</p>
<p>if ( is_page_template('tpl-contact.php') ) {<br />    /* 显示电话号码 */<br />}</p>
<p>注1：is_page_template 不能用在 loop 里面，如果之前有 loop，先在 loop 后面使用 wp_reset_query()，然后再使用 is_page_template<br />注2：如果模板文件在某个文件夹里，如 template/tpl-contact.php，那么这样 if ( is_page_template('template/tpl-contact.php') )</p>
<p><strong>实现WordPress不同分类目录调用不同模板的方法</strong></p>
<p>为了网站的美观及用途， 类目以及内容页面的差异性，需要让不同的页面使用不同的模版。这时候就需要实现不同的分类调用不同的模板，今天笔者就给大家介绍实现WordPress不同分类调用不同模板的两个方法，你可以根据情况选择使用。</p>
<p><strong>方法一：</strong></p>
<p>首先我们要做的就是找到你网站正在使用的主题文件(默认路径..\wp-content\themes\)，并用编辑器打开 category.php文件，然后用下面的代码替换里面除get_header()与get_footer()除外的代码，并将原来被替换的代码拷贝出 来并粘贴到你新建的模板文件中，如category_default.php</p>
<p>&lt;?php</p>
<p>$post = $wp_query-&gt;post;</p>
<p>if(in_category(’2′)) {</p>
<p>include(TEMPLATEPATH.’/category_2.php’);</p>
<p>}</p>
<p>else if (in_category(’3′)){</p>
<p>include(TEMPLATEPATH.’/category_3.php’);<br />}</p>
<p>else {</p>
<p>include(TEMPLATEPATH.’/category-default.php’);</p>
<p>}</p>
<p>?&gt;</p>
<p>最终结果如下：</p>
<p>&lt;?php get_header(); ?&gt;</p>
<p>&lt;?php</p>
<p>$post = $wp_query-&gt;post;</p>
<p>if(in_category(’2′)) {</p>
<p>include(TEMPLATEPATH.’/category_2.php’);<br />}</p>
<p>else if (in_category(’3′)){</p>
<p>include(TEMPLATEPATH.’/category_3.php’);</p>
<p>}</p>
<p>else {</p>
<p>include(TEMPLATEPATH.’/category-default.php’);<br />}</p>
<p>?&gt;</p>
<p>&lt;?php get_footer(); ?&gt;</p>
<p>这段代码函数的主要作用就是根据分类目录的ID去判断并调用对应的模板，如果分类目录ID为2，则为这个分类目录调用 category_2.php模板，如果ID为3，则调用category_3.php模板，如果以上两者都不是则调用category- default.php这个默认的模板。当然了，如果你如果需要给更多的分类目录指定模板，你只需要再添加一个else if语句既可，如下面代码所示：</p>
<p>&lt;?php get_header(); ?&gt;</p>
<p>&lt;?php</p>
<p>$post = $wp_query-&gt;post;</p>
<p>if(in_category(’2′)) {</p>
<p>include(TEMPLATEPATH.’/category_2.php’);<br />}</p>
<p>else if (in_category(’3′)){</p>
<p>include(TEMPLATEPATH.’/category_3.php’);</p>
<p>}</p>
<p>else if (in_category(’6′)){</p>
<p>include(TEMPLATEPATH.’/category_6.php’);</p>
<p>}</p>
<p>else {</p>
<p>include(TEMPLATEPATH.’/category-default.php’);</p>
<p>}</p>
<p>?&gt;</p>
<p>&lt;?php get_footer(); ?&gt;</p>
<p>另外要注意的就是category_6.php等这些模板文件的调用路径了，如果你想单独新建一个文件夹来放这些分类目录模板文件，那上面代码中也要一起修改。</p>
<p><strong>方法二：</strong></p>
<p>这是一种比较简便的调用方法，加入wordpress这个分类的ID=1, 那么就新建一个模板category-1.php，系统会自动调用这个ID的，重点是记住这个文件命名格式category-*.php，这里的*代表着 category的ID。怎么样，简单的不行了吧？</p>
<p>到这里为不同的分类目录调用不同的模板就结束了，最后你要做的就是根据自己的完美思想去定义wordpress模板文件了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 05:24:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/wordpress/" title="wordpress">wordpress</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WordPress 不同页面对应不同模板解决方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkXYQz.html" rel="bookmark">ThinkPHP打开验证码页面显示乱码的解决方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ThinkPHP打开验证码页面显示乱码的解决方法.分享给大家供大家参考.具体分析如下: 在用thinkphp开发的时候,有时会出现验证码乱码的问题,解决方法是把如下这个文件放在根目录,访问后就可以解决了,具体的PHP代码如下: 复制代码 代码如下: &lt;?php if (isset($_GET['dir'])){ //设置文件目录   $basedir=$_GET['dir'];   }else{   $basedir = '.';   }   $auto = 1;   checkd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNmAJxb.html" rel="bookmark">使用ionic切换页面卡顿的解决方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用ionic开发app的时候,会发现切换页面的动画会卡顿,并不流畅,为了保证用户体验,大部分人会使用禁用动画的方法$ionicConfigProvider.views.transition('no');,但并不是最好的解决思路,cordova提供了native transitions可以让页面切换近乎原型的体验.主要步骤如下: 1.npm install ionic-native-transitions --save 下载该文件,并放入www/lib文件夹下 2.在index.html中加入&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6wKvJp.html" rel="bookmark">Ajax提交表单页面刷新很快的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注:使用ajax 提交表单时 type类型最好不用submit 用button合适 &lt;form&gt; &lt;div class=&quot;col-md-9 col-sm-9 col-xs-12 col-md-offset-3&quot;&gt; &lt;input type=&quot;button&quot; class=&quot;btn btn-info&quot; value=&quot;重置&quot; onclick=&quot;return resetaa()&quot;&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrdOxz.html" rel="bookmark">常见页面元素遮住菜单解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				菜单|解决|页面 1.被Flash挡住 设置Flash的参数:&lt;param name=&quot;wmode&quot; value=&quot;opaque&quot;&gt;&lt;object classid=&quot;clsid:D27CDB6E-AE6D-11cf-96B8-444553540000&quot; codebase=&quot;http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#versio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPv0Db.html" rel="bookmark">PHP空白页面常见原因及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				解决|页面 编写PHP,难免会出现错误.其实出现错误也不难解决,最难解决的是出现空白页面.大家想想看,若编写PHP出现错误,可以根据错误的提示来改正,倘若PHP什么也不给你显示,那岂不是让编写者困挠不以?下面,我就把我在编写PHP时总结出来的有关PHP空白页面的解决方法以及产生原因.当然,本人写PHP并不是很高手,所以如果有错误,请不惜指出. 1.动作未定义    先请大家看一看下面的代码: 以下内容为程序代码&lt;?php$action = $_GET['id'];if($action == ''			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0Z07p.html" rel="bookmark">WordPress迁移时一些常见问题的解决方法整理&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.导入数据库提示数据表已存在 以周良博客使用的主机商-主机91为例,提供了phpMyAdmin功能的,导入数据库只需要便捷的选择数据库,导入就可以了.方法虽然简单,但是有可能遇到提示database XXX table has existed.出现该问题的原因可能是之前转移的时候将网站文件上传到主机空间后,进行过一次网站安装,导致新建了一次数据库,创建了新的数据表,导致重新导入数据库时数据表重复.解决方法就是将查找到提示的这个已存在的XXX table,将它删除掉再重新导入. 二.网站文件和数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd022Ap.html" rel="bookmark">windows服务器中&period;shtml页面访问无法显示解决方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站换了服务器后发现shtml网页无法访问,原因是没有注册.shtml扩展名,解决方法如下 IIS6.0解析shtm,shtml文件由于IIS6.0的安全性较以前有特别大的改进,所以在很多功能默认情况下都是关闭的,前几天刚把这个困扰了我好久的问题给解决了.嘿嘿.费话不多说了,开始 打开IIS管理器,打开&quot;本地计算机&quot;的属性--&gt;MIME类型--&gt;新建 后缀名:.shtml MIME类型:text/html 后缀名:.shtm Mime类型:text/html 然后点击确定.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxRj1p.html" rel="bookmark">WordPress无法显示Gravatar头像的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据网络用户反馈,通过使用知名社交评论服务商多说提供的国内Gravatar服务,替换默认的Gravatar功能即可解决问题,且访问速度也很不错. 解决方法1:使用Gravatar的HTTPS(适用于任何主题) 在主题目录中,找到并打开 functions.php 文件,把以下代码复制放到该文件中:  代码如下 复制代码 // HackGravatatr function wpyou_get_ssl_avatar($avatar) { $avatar = preg_replace('/.*\/av			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWKojM.html" rel="bookmark">DIV&plus;CSS页面布局中BUG解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DIV+CSS布局中,出现BUG之后,可以考虑从以下几方面检查. 一.检查页面的标签是否闭合 不要小看这条,也许折腾了你两天都没有解决的 CSS BUG 问题,却仅仅源于这里.毕竟页面的模板一般都是由开发来嵌套的,而他们很容易犯此类问题. 快捷提示:可以用 Dreamweaver 打开文件检查,一般没有闭合的标签,会黄色背景高亮. 二.样式排除法 有些复杂的页面也许加载了 N 个外链 CSS 文件,那么逐个删除 CSS 文件,找到 BUG 触发的具体 CSS 文件,缩小锁定的范围. 对于刚才锁定			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b23vrM.html" rel="bookmark" class="title">如何使用Zend Studio配置连接SVN功能</a>
					<div>
						在使用Zend Studio开发调试PHP方面,我已介绍不少Zend Studio使用教程,今天继续Zend Studio教程之旅,主要介绍Zend Studio配置连接SVN的使用教程,Zend S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq1E3M.html" rel="bookmark" class="title">初谈ADO&period;NET中利用DataAdapter进行数据操作</a>
					<div>
						ado|数据     对于刚刚学习ADO.NET数据访问技术的来说,DataAdapter也许往往会令他们感到迷惑,特别是习惯于利用托拽DataAdapter控件进行开发的朋友,通过这一ADO.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLrlZb.html" rel="bookmark" class="title">金闪客ActionScript课堂实录二</a>
					<div>
						第二讲 Look and See 很多朋友在学习AS时喜欢从实例入手,从网上Down了大堆的源码,然后把AS代码原封不动地Copy到脚本窗口,却往往做不出效果.即使效果做出来了,也不知所以然,下次再遇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJNg2z.html" rel="bookmark" class="title">网站诊断优化系列三：谈太原搬家公司锚文本价值</a>
					<div>
						大家好,朱卫坤又来写文章,写网站诊断的文章了,前面写了两篇文章&lt;网站诊断优化系列一:太原搬家网&gt;.&lt;网站诊断优化系列二:油松网的外链方式&gt;,只是希望通过文章写系列的网站的解决问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4qBJb.html" rel="bookmark" class="title">网站结构优化是大型门户站运营的灵魂</a>
					<div>
						对于大型门户站的优化,大家更多的会关注网站内容优化.关键词优化和外链设置.但SEO的最终目的还是带来用户,形成一定的转化率.那么网站结构好比网站的地基.无论网站内容怎么丰富,外链数量有多少,网站结构永 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2AvjM.html" rel="bookmark" class="title">android技巧：android应用R文件无法读取的问题</a>
					<div>
						很多时候当我们发现从网上下载的一些工程无法使用,只有R布局文件报错的时候,多数原因是工程本身的target和自身eclipse的target不符合. 而自己的target可以从Project-Prop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NDPAz.html" rel="bookmark" class="title">tp450g路由器怎么设置流量均衡</a>
					<div>
						  tp450g路由器设置流量均衡的方法 策略选路应用拓扑 某公司使用无线企业路由器连接两条宽带,WAN口1连接的是专线,专用网络为&quot;10.0.0.0/24&quot;,WAN口2连接的是I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4VoAp.html" rel="bookmark" class="title">SKETCH教你绘制《疯狂动物城》中的朱迪和尼克</a>
					<div>
						  Step 1:画面拆解 在绘制任何图案之前,我们都要对这个图案做分析和拆解.首先做大的拆解,看看画面的构成. 第一次的拆解为狐狸,兔子,一只胡萝卜和名为Zootopia的Logo. 接下来我们分别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrl54p.html" rel="bookmark" class="title">网页设计理论：对比和等同</a>
					<div>
						  等同和对比,联系与分别,归类和不归类等都是能将元素中相同或不同的元素加以区别的方式.基于它们所承载的信息,我们希望等同的元素能发生某种联系,用以表明它们在某一方面的相似性.我们同样也希望不同的元素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1LYGz.html" rel="bookmark" class="title">设置IIS网站独立帐号确保服务器安全</a>
					<div>
						被人黑过站的同学,都应该有这样的经历.自己的服务器某个站被人入侵后,其它的网站也相继遭殃,这是啥情况呢?百分之九十是IIS网站帐号权限过大,服务器上的所有网站共用一个IIS帐号所致,接来下新手如何设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjxa3p.html" rel="bookmark" class="title">苹果2016新MacBook Pro开盖即开机吗</a>
					<div>
						  在刚刚结束的新MacBook Pro发布上,苹果公司其实有些小的功能没说到,比如新MacBook Pro有个小改变,希望弱化电源键作用. 在关机的状态下,当打开盖子,新MacBook Pro会自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK6edM.html" rel="bookmark" class="title">win xp设置VPN的方法</a>
					<div>
						在桌面右键单击网上邻居选择属性,打开网络连接窗口 点击创建一个新连接,弹出新建连接向导 点击下一步 选择连接到我的工作场所的网络,单击下一步 选择虚拟专用网络连接,单击下一步 填写公司名称(当然这里你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdgoqM.html" rel="bookmark" class="title">百度贴吧无线改版的一些心得思路</a>
					<div>
						当一个用户在受众封闭.有限.个体清晰的环境时,发布的信息是真诚的; 而当在受众开放.无限增减.个体模糊的环境时,发布的信息是具有表演性质的; 微博是公共的,微信是隐私的,微信的圈子很有限,微信与微博的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badg7nz.html" rel="bookmark" class="title">Win7系统Programdata找不到怎么办</a>
					<div>
						  ProgramData文件夹是Win7电脑中一个很重要的文件夹,它是被创建文件夹或文件存放的地方.有用户反应,想查看附件文件夹的所在路径,需要进入C盘ProgramData文件夹才能查看,但是在C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRGEVp.html" rel="bookmark" class="title">MindMapper备注功能如何使用</a>
					<div>
						  MindMapper添加备注的方法: 在MindMapper 14中,选中需要添加备注的主题,点击[首页]&gt;注释;或者点击有侧边栏的&quot;备注&quot;. 在界面右侧出现的&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEW93z.html" rel="bookmark" class="title">Java语法基础（四）----循环结构语句</a>
					<div>
						一.循环结构: 循环语句可以在满足循环条件的情况下,反复执行某一段代码,这段被重复执行的代码被称为循环体语句,当反复执行这个循环体时,需要在合适的时候把循环判断条件修改为false,从而结束循环,否则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNj6nz.html" rel="bookmark" class="title">SpringOne开发者大会技术资料下载地址</a>
					<div>
						http://www.db168.com.cn/edm/VMware/20121208/index.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2PXnb.html" rel="bookmark" class="title">link中如何产生连续不重复的guid，如何重写 guid&quest;</a>
					<div>
						问题描述 link中如何产生连续不重复的guid,如何重写 guid? link中如何产生连续不重复的guid,如何重写 guid? 解决方案 guid的原理就是充分地随机避免重复,你产生连续的gui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKQGnb.html" rel="bookmark" class="title">求助大神 orz</a>
					<div>
						问题描述 现在有一个系统网页,需要提取上面的用户手机号,但是第一页的手机号中间四位显示****,提取非常麻烦(10w+的数据量),请问能否通过更改代码从而使得隐藏的中间四位直接显示出来呢?????新人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z400VLz.html" rel="bookmark" class="title">flume学习（四）：Flume Interceptors的使用</a>
					<div>
						对于flume拦截器,我的理解是:在app(应用程序日志)和 source 之间的,对app日志进行拦截处理的.也即在日志进入到source之前,对日志进行一些包装.清新过滤等等动作. 官方上提供的已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RVLBb.html" rel="bookmark" class="title">独立思考能力之存疑</a>
					<div>
						20081007 郑昀@玩聚SD    之前的两篇文章&lt;独立思考能力从哪里来?&gt; 和&lt;独立思考之手动check&gt;,虽然随感而发地探讨了独立思考能力的起源和实现路径,也引发了很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXVdOz.html" rel="bookmark" class="title">PostgreSQL 10&period;0 preview 功能增强 - 分区表&lpar;hash&comma;range&comma;list&rpar;</a>
					<div>
						标签 PostgreSQL , 10.0 , 分区表 背景 PostgreSQL 10.0将支持range,list分区表,同时hash分区处于POC阶段(同时还有一些需要改进的地方,例如优化器部分) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmOQ1b.html" rel="bookmark" class="title">storm 问题求助求解答，谢谢</a>
					<div>
						问题描述 storm事务处理(BaseBatchBolt)的并行度问题事务处理storm-batch-boltboltbatch我建立了一个批处理的bolt,StatisticBoltextendsB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn8edM.html" rel="bookmark" class="title">datax转换mongodb的数据到mysql遇到一个问题</a>
					<div>
						问题描述 datax转换mongodb的数据到mysql遇到一个问题 公司新项目需要从旧的mongodb库了把数据导入到新的mysql库.在用淘宝的datax工具导入数据的时候遇到以下的问题 mong ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY5YNb.html" rel="bookmark" class="title">关于MySQL外键的简单学习教程&lowbar;Mysql</a>
					<div>
						在MySQL中,InnoDB引擎类型的表支持了外键约束. 外键的使用条件: 1.两个表必须是InnoDB表,MyISAM表暂时不支持外键(据说以后的版本有可能支持,但至少目前不支持): 2.外键列必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7LRkb.html" rel="bookmark" class="title">使用PHP实现下载CSS文件中的图片&lowbar;php实例</a>
					<div>
						作为一个资深并且专业的扒皮人员,在我从初三开始投入伟大的互联网中到现在积累了丰富的扒皮经验.我相信每个做web的程序员也都会有类似的经历. 在扒皮过程中,必不可少的需要下载样式文件中的图片.碰到比较庞 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl4K8p.html" rel="bookmark" class="title">PHP中将字符串转化为整数&lpar;int&rpar; intval&lpar;&rpar; printf&lpar;&rpar; 性能测试&lowbar;php技巧</a>
					<div>
						背景.概述 早在Sql注入横行的前几年,字符串转化为整数就已经被列为每个web程序必备的操作了.web程序将get或post来的id.整数等值强制经过转化函数转化为整数,过滤掉危险字符,尽可能降低系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jmYKp.html" rel="bookmark" class="title">win2000下apache2&plus;weblogic7实现基于同一个ip地址的多个虚拟主机访问多个web</a>
					<div>
						足足两天呀,呕心沥血,才解决了这个问题,相信大家曾经或者以后也许遇到这个问题,特此贡献出来,给大家以借鉴,希望别像我这样费尽周折.之所以选择apache2,是因为目前wls7只支持apache2的结合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW787nM.html" rel="bookmark" class="title">虚拟化安全：企业成本节约之外的博弈</a>
					<div>
						本文讲的是虚拟化安全:企业成本节约之外的博弈,时至今日,人们谈论的不再是云的落地,而是基于云的应用或云安全.目前,云计算正在转化传统的数据中心,企业将数据中心虚拟化,并将工作负荷和数据扩展到了云端.随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE1K1z.html" rel="bookmark" class="title">同样的工程，从一台机子复制到另一台，tomcat就报错了！！</a>
					<div>
						问题描述 会是环境没配好么?还是tomcat5.5和mysql5.1不兼容???能运行的那台机子是tomcat5.5+mysql5.0,JDK的版本都是一样的,环境变量都是一样的...java.lan ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
